curl -X POST https://api.dotlookup.dev/v1/auth/login \
-H "Content-Type: application/json" \
-d '{"email": "you@example.com"}'
import requests
resp = requests.post("https://api.dotlookup.dev/v1/auth/login", json={
"email": "you@example.com",
})
account = resp.json()
print(f"Your API key: {account['api_key']}")
const resp = await fetch("https://api.dotlookup.dev/v1/auth/login", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({ email: "you@example.com" }),
});
const account = await resp.json();
console.log(`Your API key: ${account.api_key}`);
{
"id": 1,
"email": "you@example.com",
"name": "Jane Doe",
"company": "Acme Logistics",
"api_key": "dl_a1b2c3d4e5f6...",
"tier": "default",
"rate_limit": 100,
"is_active": true,
"created_at": "2025-03-20T14:30:00Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "no account found with this email"
}
}
Account
Login
Retrieve your account and API key by email
POST
/
v1
/
auth
/
login
curl -X POST https://api.dotlookup.dev/v1/auth/login \
-H "Content-Type: application/json" \
-d '{"email": "you@example.com"}'
import requests
resp = requests.post("https://api.dotlookup.dev/v1/auth/login", json={
"email": "you@example.com",
})
account = resp.json()
print(f"Your API key: {account['api_key']}")
const resp = await fetch("https://api.dotlookup.dev/v1/auth/login", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({ email: "you@example.com" }),
});
const account = await resp.json();
console.log(`Your API key: ${account.api_key}`);
{
"id": 1,
"email": "you@example.com",
"name": "Jane Doe",
"company": "Acme Logistics",
"api_key": "dl_a1b2c3d4e5f6...",
"tier": "default",
"rate_limit": 100,
"is_active": true,
"created_at": "2025-03-20T14:30:00Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "no account found with this email"
}
}
Retrieve your account details and API key using your email address.
string
required
The email address used to sign up
curl -X POST https://api.dotlookup.dev/v1/auth/login \
-H "Content-Type: application/json" \
-d '{"email": "you@example.com"}'
import requests
resp = requests.post("https://api.dotlookup.dev/v1/auth/login", json={
"email": "you@example.com",
})
account = resp.json()
print(f"Your API key: {account['api_key']}")
const resp = await fetch("https://api.dotlookup.dev/v1/auth/login", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({ email: "you@example.com" }),
});
const account = await resp.json();
console.log(`Your API key: ${account.api_key}`);
{
"id": 1,
"email": "you@example.com",
"name": "Jane Doe",
"company": "Acme Logistics",
"api_key": "dl_a1b2c3d4e5f6...",
"tier": "default",
"rate_limit": 100,
"is_active": true,
"created_at": "2025-03-20T14:30:00Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "no account found with this email"
}
}
⌘I